/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/

#ifndef __HWDEF_H__
#define __HWDEF_H__

#define FOSC   11059200
//#define FOSC    8000000


#define br4800       (FOSC/16/4800 - 1)
#define br9600       (FOSC/16/9600 - 1)
#define br19200      (FOSC/16/19200 - 1)
#define br38400      (FOSC/16/38400 - 1)
#define br57600      (FOSC/16/57600 - 1)




#ifdef PROTOTYPE

#define LED5_INIT()       DDRB |= (1 << PB2);
#define LED1_4_INIT()     {DDRC |= 0x3C; PORTC |= 0x3C;}

#define LED5_ON()         PORTB &= ~(1 << PB2)
#define LED5_OFF()        PORTB |= (1 << PB2)

#define LED1_ON()         PORTC &= ~(1 << PC5)
#define LED1_OFF()        PORTC |= (1 << PC5)

#define LED2_ON()         PORTC &= ~(1 << PC4)
#define LED2_OFF()        PORTC |= (1 << PC4)

#define LED3_ON()         PORTC &= ~(1 << PC3)
#define LED3_OFF()        PORTC |= (1 << PC3)

#define LED4_ON()         PORTC &= ~(1 << PC2)
#define LED4_OFF()        PORTC |= (1 << PC2)
#endif

#ifdef PRODUCT

#define LED5_INIT()       DDRB |= (1 << PB2);
#define LED1_4_INIT()     {DDRC |= 0x3C; PORTC &= ~0x3C;}


#define LED5_OFF()         PORTB &= ~(1 << PB2)
#define LED5_ON()        PORTB |= (1 << PB2)

#define LED1_OFF()         PORTC &= ~(1 << PC5)
#define LED1_ON()        PORTC |= (1 << PC5)

#define LED2_OFF()         PORTC &= ~(1 << PC4)
#define LED2_ON()        PORTC |= (1 << PC4)

#define LED3_OFF()         PORTC &= ~(1 << PC3)
#define LED3_ON()        PORTC |= (1 << PC3)

#define LED4_OFF()         PORTC &= ~(1 << PC2)
#define LED4_ON()        PORTC |= (1 << PC2)
#endif


#define CTS_INIT()        DDRD |= (1 << PD2)
#define CTS_LOW()         PORTD |= (1 << PD2)
#define CTS_HIGH()        PORTD &= ~(1 << PD2)

#define PROTECT_PIN_INIT()  PORTB |= (1 << PB0)
#define PROTECT_PIN()       (PINB & (1 << PB0))



#endif
