/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/

#include "includes.h"

void set_bit(void)
{
short tmpu16;
  get_exp(&tmpu16);
  switch(tmpu16)
  {
   case 1:
     LED1_ON();
   break;
   case 2:
     LED2_ON();
   break;
   case 3:
     LED3_ON();
   break;
   case 4:
     LED4_ON();
   break;
   case 128:
     ADMUX = 0x01;
   break;
   case 127:
    sound_flag = 0x01;
  }
}

void clr_bit(void)
{
short tmpu16;
  get_exp(&tmpu16);
  switch(tmpu16)
  {
   case 1:
     LED1_OFF();
   break;
   case 2:
     LED2_OFF();
   break;
   case 3:
     LED3_OFF();
   break;
   case 4:
     LED4_OFF();
   break;
   case 5:
     LED5_OFF();
   break;
   case 128:
     ADMUX = 0x00;
   break;
   case 127:
     sound_flag = 0x00;
  }
}

void tst_bit(void)
{
unsigned char bt = 0;
short tmpu16;
char var;
var = get_var(1);
  get_exp(&tmpu16);
  switch(tmpu16)
  {
#ifdef PROTOTYPE
  case 1:
     bt = PIND & (1 << PD5);
   break;
   case 2:
     bt = PIND & (1 << PD6);
   break;
   case 3:
     bt = PIND & (1 << PD7);
   break;
   case 4:
     bt = PIND & (1 << PD4);
   break;
#endif
#ifdef PRODUCT
  case 1:
     bt = PIND & (1 << PD4);
   break;
   case 2:
     bt = PIND & (1 << PD5);
   break;
   case 3:
     bt = PIND & (1 << PD6);
   break;
   case 4:
     bt = PIND & (1 << PD7);
   break;
#endif
  case 126:
     bt = rx_cnt;
   break;
  }
  if(bt)
    bas_variables[var] = 1;
  else
    bas_variables[var] = 0;
}
void delay_ms(short del)
{
    _CLI();
    delay_flag = 0;
    del_timer = del;
    _SEI();
    while(delay_flag == 0);
}
void delay_(void)
{
short tmpu16;
   get_exp(&tmpu16);
   if(tmpu16)
     delay_ms(tmpu16);
}


void dac(void)
{
short tmpu16;
   get_exp(&tmpu16);
   OCR1AH  = (tmpu16 >> 8);
   OCR1AL  = (tmpu16 % 256);
}

void adc(void)
{
short tmp,adc;
char var;
tmp = ADCL;
adc = ADCH;
adc = (adc << 8) + tmp;

var = get_var(0);
bas_variables[var] = adc;
}
