/*    ********************************
      *      CONTR & BASIC           *
      *   UA6ANN  Alexander Kostyuk  *
      *   RV3BJ   Evgeny Fadeev      *
      ********************************
*/
/************************************************************************************
 $Workfile:  $
 $Header:    $
 $Log:       $
************************************************************************************/
#include "includes.h"

__flash char text_backspace[]  = {0x08,0x20,0x08,0x00};
static char tmp_str[INPUT_LINE_MAX_LENGTH + 1];
char cnv_str[10];

char *input_line(void)
{
 char *ptr;
int ch;

ptr = tmp_str;

ch = 0;

for(;;)
{

  ch = getchar();
  if(ch == 0x0A)
        break;     

   if(ch == 0x08)
   {
      if(ptr != tmp_str)
       {
         putstr_P(text_backspace);
         ptr--;
       }
   }
   else
   { 
      if(ptr != &tmp_str[INPUT_LINE_MAX_LENGTH])
       {
          if(ch != 0x0D) 
          {
            *ptr++ = ch;
            putchar(ch);
          }
       }
   }

}
*ptr = 0x00;
return tmp_str;

}

int putstr(char *str)
{
int cnt = 0;
  if(str == 0) return 0;
  while((*str)!=0)
  {
    putchar( *(str++));
    cnt++;
  }
return cnt;
}


int putstr_P(char __flash *str)
{
int cnt = 0;

  if(str == 0) return 0;
  while((*str)!=0)
  {
    if(*str != 0x1A)
       putchar( *str);
    str++;
    cnt++;
  }
return cnt;
}


char *int_to_str(short k)
{
  long tmp_int;
  char i;
  char sign = ' ';
  char *wp = cnv_str;
  tmp_int = k;
  if(tmp_int < 0)  
   {          
    tmp_int *= -1;
    sign = '-';   
   }
  *(wp++) = sign;
  i = 0; while(tmp_int >= 10000) { tmp_int -= 10000; i++;}
  *(wp++) = i + '0';
  i = 0; while(tmp_int >= 1000) { tmp_int -= 1000; i++;}
  *(wp++) = i + '0';
  i = 0; while(tmp_int >= 100) { tmp_int -= 100; i++;}
  *(wp++) = i + '0';
  i = 0; while(tmp_int >= 10) { tmp_int -= 10; i++;}
  *(wp++) = i + '0';
  *(wp++) = tmp_int + '0';
  *wp = 0x00;
  i = 0;
  wp = cnv_str + 1;
  while(*wp != 0x00)
   {
     if(*wp != '0')
       {
        if(sign == '-')
        {    
         wp--;  
         *wp = sign;
        } 
         break;
       }
          wp++;
   }
 if(*wp == 0x00)
  {
    *--wp = '0';
  } 

return wp;
}
